types

# Class: group

Source Location: /lib/types/group.inc

### Class Overview

    baseType
       |
       --group

The account type for group accounts (e.g. Unix and Samba).

### Methods

- getAlias
- getDefaultListAttributes
- getDescription
- getListAttributeDescriptions
- getListClassName

### Inherited Methods

#### Class: baseType

baseType::getAlias()
  Returns the alias name of this account type.
baseType::getDefaultListAttributes()
  Returns the default attribute list for this account type.
baseType::getDescription()
  Returns the description of this account type.
baseType::getListAttributeDescriptions()
  Returns a list of attributes which have a translated description.
baseType::getListClassName()
  Returns the class name for the list object.

### Class Details

[line 37]
The account type for group accounts (e.g. Unix and Samba).
[ Top ]

### Class Methods

### method getAlias [line 44]

`string getAlias( )`

Returns the alias name of this account type.

#### Tags:

return: | alias name

Overrides baseType::getAlias() (Returns the alias name of this account type.)
[ Top ]

### method getDefaultListAttributes [line 71]

`string getDefaultListAttributes( )`

Returns the default attribute list for this account type.

#### Tags:

return: | attribute list

Overrides baseType::getDefaultListAttributes() (Returns the default attribute list for this account type.)
[ Top ]

### method getDescription [line 53]

`string getDescription( )`

Returns the description of this account type.

#### Tags:

return: | description

Overrides baseType::getDescription() (Returns the description of this account type.)
[ Top ]

### method getListAttributeDescriptions [line 81]

`array getListAttributeDescriptions( )`

Returns a list of attributes which have a translated description.

This is used for the head row in the list view.

#### Tags:

return: | list of descriptions

Overrides baseType::getListAttributeDescriptions() (Returns a list of attributes which have a translated description.)
[ Top ]

### method getListClassName [line 62]

`string getListClassName( )`

Returns the class name for the list object.

#### Tags:

return: | class name

Overrides baseType::getListClassName() (Returns the class name for the list object.)
[ Top ]

Documentation generated on Mon, 28 Apr 2008 20:17:10 +0200 by phpDocumentor 1.4.0